Bug 144352 - "Email merged document" dialog has overlapping elements
Summary: "Email merged document" dialog has overlapping elements
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Gabor Kelemen (allotropia)
URL:
Whiteboard: target:7.3.0 target:7.2.2 target:7.1.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Mail-Merge Dialog-UX
  Show dependency treegraph
 
Reported: 2021-09-07 09:02 UTC by stragu
Modified: 2021-09-14 06:24 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of issue in LO 7.2.1.1 (16.61 KB, image/png)
2021-09-07 10:48 UTC, stragu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stragu 2021-09-07 09:02:19 UTC
Description:
The "Email merged document" dialog has overlapping elements: the "Send records" section overlaps with the "Help" and "Send Documents" buttons.

Steps to Reproduce:
1. Got to "Tools - Mail merge wizard"
2. Click "Next" repeatedly until able to click "Finish"
3. Use the newly opened toolbar to click on the "Send Email Messages" icon

Actual Results:
The dialog that open has overlapping elements

Expected Results:
The dialog does not have overlapping elements


Reproducible: Always


User Profile Reset: No



Additional Info:
Tested with:

Version: 7.2.1.1 (x64) / LibreOffice Community
Build ID: 3cfc32d9754d2d239bd8ce2941029c12873010c1
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: default; VCL: win
Locale: en-AU (en_AU); UI: en-US
Calc: threaded
Comment 1 stragu 2021-09-07 10:48:41 UTC
Created attachment 174852 [details]
screenshot of issue in LO 7.2.1.1
Comment 2 stragu 2021-09-07 10:53:32 UTC
also reproduced in:

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 67f2a99229101757af4f40118f4d3c83ba38648b
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: en-AU (en_AU); UI: en-US
Calc: threaded
Comment 3 Michael Weghorn 2021-09-07 11:26:54 UTC
Also reproducible with the kf5 VCL plugin on Linux.

This is a regression from:

commit 0a3e5ba4db254549c15e55984f1764a352c8239b
Author: Gülşah Köse <gulsah.kose@collabora.com>
Date:   Mon Jul 13 13:35:04 2020 +0300

    Fix widget placement problem on mailmerge result dialog.
    
    Change-Id: Iff7bae3f1e30d106ed54f3a67bf5c6fefe67e2d4
    Reviewed-on: https://gerrit.libreoffice.org/c/core/+/98650
    Tested-by: Jenkins


Dropping the "height_request" property introduced with that commit makes the problem go away on current master as well.

Adding CC: to Gülşah Köse, could you possibly take a look at this?


Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 26e45694433721a8837a2133c05798776576def6
CPU threads: 12; OS: Linux 5.10; UI render: default; VCL: kf5 (cairo+xcb)
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 4 NISZ LibreOffice Team 2021-09-10 08:27:24 UTC
The bibisected commit went into 7.1, changing version.
Comment 5 Commit Notification 2021-09-13 08:11:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c10c32438025edda2f3c178b47d369e7979f25a8

tdf#144352 Revert "Fix widget placement problem on mailmerge result dialog."

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-09-13 10:28:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/c3aedef39f768b266c3352dddf8f8adafc134dfa

tdf#144352 Revert "Fix widget placement problem on mailmerge result dialog."

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-09-13 12:39:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/00a874fde14a3b7243bacf01a72430ffda14bc71

tdf#144352 Revert "Fix widget placement problem on mailmerge result dialog."

It will be available in 7.1.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 NISZ LibreOffice Team 2021-09-14 06:24:58 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 80a47aae1419842f4496f02028e2b49763aea25b
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded